# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`http_conn_validator`](#http_conn_validator): Verify that a connection can be successfully established between a node and an HTTP server.  Its primary use is as a precondition to prevent 
* [`tcp_conn_validator`](#tcp_conn_validator): Verify that a TCP connection can be successfully established between a node and the expected host.  Its primary use is as a precondition to p

## Resource types

### <a name="http_conn_validator"></a>`http_conn_validator`

Verify that a connection can be successfully established between a node
and an HTTP server.  Its primary use is as a precondition to
prevent configuration changes from being applied if the HTTP
server cannot be reached, but it could potentially be used for other
purposes such as monitoring.

#### Properties

The following properties are available in the `http_conn_validator` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `http_conn_validator` type.

* [`expected_code`](#-http_conn_validator--expected_code)
* [`host`](#-http_conn_validator--host)
* [`name`](#-http_conn_validator--name)
* [`port`](#-http_conn_validator--port)
* [`provider`](#-http_conn_validator--provider)
* [`test_url`](#-http_conn_validator--test_url)
* [`timeout`](#-http_conn_validator--timeout)
* [`try_sleep`](#-http_conn_validator--try_sleep)
* [`use_ssl`](#-http_conn_validator--use_ssl)
* [`verify_peer`](#-http_conn_validator--verify_peer)

##### <a name="-http_conn_validator--expected_code"></a>`expected_code`

The HTTP status code that should be expected; defaults to 200.

Default value: `200`

##### <a name="-http_conn_validator--host"></a>`host`

An array containing DNS names or IP addresses of the host where the expected service should be running.

##### <a name="-http_conn_validator--name"></a>`name`

namevar

An arbitrary name used as the identity of the resource.

##### <a name="-http_conn_validator--port"></a>`port`

The port that the server should be listening on.

##### <a name="-http_conn_validator--provider"></a>`provider`

The specific backend to use for this `http_conn_validator` resource. You will seldom need to specify this --- Puppet
will usually discover the appropriate provider for your platform.

##### <a name="-http_conn_validator--test_url"></a>`test_url`

URL to use for testing if the HTTP server is up

Default value: `/`

##### <a name="-http_conn_validator--timeout"></a>`timeout`

The max number of seconds that the validator should wait before giving up and deciding that the service is not running;
defaults to 60 seconds.

Default value: `60`

##### <a name="-http_conn_validator--try_sleep"></a>`try_sleep`

The time to sleep in seconds between 'tries'.

Default value: `1`

##### <a name="-http_conn_validator--use_ssl"></a>`use_ssl`

Whether the connection will be attemped using https

Default value: `false`

##### <a name="-http_conn_validator--verify_peer"></a>`verify_peer`

Whether to verify the peer credentials, if possible. Verification will not take place if the CA certificate is missing

Default value: `true`

### <a name="tcp_conn_validator"></a>`tcp_conn_validator`

Verify that a TCP connection can be successfully established between a node
and the expected host.  Its primary use is as a precondition to
prevent configuration changes from being applied if the host cannot be
reached, but it could potentially be used for other purposes such as monitoring.

#### Properties

The following properties are available in the `tcp_conn_validator` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

#### Parameters

The following parameters are available in the `tcp_conn_validator` type.

* [`host`](#-tcp_conn_validator--host)
* [`name`](#-tcp_conn_validator--name)
* [`port`](#-tcp_conn_validator--port)
* [`provider`](#-tcp_conn_validator--provider)
* [`timeout`](#-tcp_conn_validator--timeout)
* [`try_sleep`](#-tcp_conn_validator--try_sleep)

##### <a name="-tcp_conn_validator--host"></a>`host`

An array containing DNS names or IP addresses of the host where the expected service should be running.

##### <a name="-tcp_conn_validator--name"></a>`name`

namevar

An arbitrary name used as the identity of the resource.

##### <a name="-tcp_conn_validator--port"></a>`port`

The port that the server should be listening on.

##### <a name="-tcp_conn_validator--provider"></a>`provider`

The specific backend to use for this `tcp_conn_validator` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

##### <a name="-tcp_conn_validator--timeout"></a>`timeout`

The max number of seconds that the validator should wait before giving up and deciding that the service is not running;
defaults to 60 seconds.

Default value: `60`

##### <a name="-tcp_conn_validator--try_sleep"></a>`try_sleep`

The time to sleep in seconds between 'tries'.

Default value: `1`

